#
# spec file for package novell-ipsec-tools (Version 0.6.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils flex gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           novell-ipsec-tools
BuildRequires:  bison flex kernel-source openssl-devel
Version:        0.6.3
Release:        114.6
License:        BSD 3-Clause
Group:          Productivity/Networking/Security
Provides:       racoon
PreReq:         %insserv_prereq %fillup_prereq
AutoReqProv:    on
Summary:        IPsec Utilities with turnpike plugin enabled
Source:         novell-ipsec-tools-%{version}.tar.bz2
Source1:        racoon.init
Source2:        sysconfig.racoon
Source3:        setkey.conf.sample
Source4:        racoon.conf.turnpike
Patch0:         no_werror.patch
Patch1:         s390_configure_fix.patch
Patch2:         gssapi-strict-aliasing.patch
Patch3:         novell-ipsec-tools-warning.patch
Patch5:         gssapi-fix.patch
Patch6:         fix-DoS.patch
Patch7:         fix-ph1-leak.patch
Patch8:         fix-racoon-memory-leaks.patch
Patch9:         %{name}_CVE-2009-1632.patch
Conflicts:      ipsec-tools
Url:            http://forge.novell.com/modules/xfmod/project/?turnpike
Prefix:         /usr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is the patched IPsec-Tools package, that contains patches for the
plugin framework to make vendor plugins make use of these tools to
provide IPSec based solutions like VPN client.

This package is needed to make use of the IPsec functionality in the
version 2.5 and 2.6 Linux kernels. This package builds:

* libipsec, a PFKeyV2 library

* setkey, a program to directly manipulate policies and SAs

* racoon, an IKEv1 keying daemon

These sources can be found at the IPsec-Tools home page at:
http://ipsec-tools.sourceforge.net/

The source and details about the framework can be found at
http://forge.novell.com/modules/xfmod/project/?turnpike

novell-ipsec-tools is a preview package to be used along with the
Novell VPN client. This package will be merged with the main stream
ipsec-tools in future.



%debug_package
%package devel
License:        BSD 3-Clause
Provides:       libipsec libracoon
Requires:       novell-ipsec-tools = %{version}
Summary:        IPsec Utilities with turnpike plugin enabled
Provides:       ipsec-tools-devel
Group:          Development/Libraries/Other
AutoReqProv:    on
PreReq:         %install_info_prereq
PreReq:         %install_info_prereq %insserv_prereq  %fillup_prereq

%description devel
This is the IPsec-Tools package. This package is needed to really make
use of the IPsec functionality in the version 2.5 and 2.6 Linux
kernels. This package builds:

* libipsec, a PFKeyV2 library

* setkey, a program to directly manipulate policies and SAs

* racoon, an IKEv1 keying daemon

These sources can be found at the IPsec-Tools home page at:
http://ipsec-tools.sourceforge.net/

This package additionally contain the plugin framework to make vendor
plugins make use of these tools to provide IPSec based solutions like
VPN client.

The source and details about the framework can be found at
http://forge.novell.com/modules/xfmod/project/?turnpike



%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3
%patch5 -p1
%patch6
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%{suse_update_config -f . src/racoon}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr --disable-shared \
	--with-readline=no \
	--with-turnpike=yes \
	--mandir=%{_mandir} --infodir=%{_infodir} --libdir=%{_libdir} \
	--libexecdir=%{_libdir} --sysconfdir=/etc/racoon \
	--sharedstatedir=/var/run --localstatedir=/var/run \
	--enable-adminport --enable-natt \
	--enable-natt-versions=00,01,02,03,rfc \
	--enable-apclient \
	--enable-dpd --enable-hybrid --enable-frag
make 
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 0755 $RPM_SOURCE_DIR/racoon.init $RPM_BUILD_ROOT/etc/init.d/racoon
ln -sf /etc/init.d/racoon $RPM_BUILD_ROOT/usr/sbin/rcracoon
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/sysconfig.racoon $RPM_BUILD_ROOT/var/adm/fillup-templates/
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}/
cp -rv src/racoon/samples $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}/
cp -v src/setkey/sample* $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}/
mkdir -p $RPM_BUILD_ROOT/etc/racoon
mkdir -p -m 0755 $RPM_BUILD_ROOT/var/run/racoon
install -m 0600 src/racoon/samples/psk.txt $RPM_BUILD_ROOT/etc/racoon/
#install -m 0644 src/racoon/samples/racoon.conf $RPM_BUILD_ROOT/etc/racoon/
cp -v $RPM_SOURCE_DIR/setkey.conf.sample $RPM_BUILD_ROOT/etc/racoon/setkey.conf
cp -v %{S:4} $RPM_BUILD_ROOT/etc/racoon/racoon.conf
cp -v %{S:4} $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}/

%post
%{fillup_and_insserv racoon}

%preun
%stop_on_removal racoon

%postun
%restart_on_update racoon
%{insserv_cleanup}

%clean

%files
%defattr(-,root,root)
%dir /etc/racoon
%config(noreplace) /etc/racoon/psk.txt
%config(noreplace) /etc/racoon/racoon.conf
%config(noreplace) /etc/racoon/setkey.conf
%config /etc/init.d/racoon
/usr/sbin/rcracoon
%doc /usr/share/doc/packages/%{name}/
/var/adm/fillup-templates/sysconfig.racoon
/usr/sbin/racoon
/usr/sbin/racoonctl
/usr/sbin/setkey
/usr/sbin/plainrsa-gen
%dir /var/run/racoon
%{_mandir}/man*/*

%files devel
%defattr(-,root,root)
%dir /usr/include/turnpike/
%dir /usr/include/libipsec/
%dir /usr/include/racoon/
/usr/include/turnpike/*
/usr/include/libipsec/*
/usr/include/racoon/*
/usr/%{_lib}/libipsec.a
/usr/%{_lib}/libipsec.la
/usr/%{_lib}/libracoon.a
/usr/%{_lib}/libracoon.la

%changelog
* Tue Jun 16 2009 - bili@suse.de
- Fix DoS attack and memory leaks(bnc#504186, CVE-2009-1632).
  - Fix a x509 signature verification memory leak.
  - Fix a memory leak in nat-t keepalive code.
  - Fix a remote crash in fragmentation code.
* Fri Dec 19 2008 - bili@suse.de
- fix-ph1-leak.patch: fixed a memory leak in PH1
  (bnc#416906, CVE-2008-3652)
- fix-racoon-memory-leaks.patch:
        - fixes CVE-2008-3651 (leaks fixed in 0.7.1, bnc#416905)
        - fixes other leaks in proposal.c, fixed upstream
  (version 1.11, 2006/10/09 06:32:59)
- Add conflicts with ipsec-tools (bnc #434748).
* Wed Nov 07 2007 - ro@suse.de
- add fixes from ipsec-tools package:
  - fixed a segfault in GSSAPI initialization (#172196)
  - Fix a DoS in isakmp_info_recv (CVE-2007-1841, 260791)
* Sat Aug 04 2007 - aj@suse.de
- Fix compiler warning.
* Fri Mar 30 2007 - ro@suse.de
- added flex,bison to buildreq
* Fri Nov 17 2006 - tsureshkumar@suse.de
- add hooks for ident mode
- propogate event for adminport clients when peer disconnects (ike
  delete message).
* Fri Aug 11 2006 - tsureshkumar@suse.de
- fix for wildcard match when nodes match in bucket
- add hooks at ident mode also
* Sat May 20 2006 - tsureshkumar@suse.de
- 64 bit fixes (macros redefined)
- added a new hook to pre-process config mode acks.
* Thu May 04 2006 - tsureshukmar@novell.com
- 64 bit fixes :  #162616, #157875
- fix a segfault/invalid memory allocation in dispatch.c
- clean all sizes/ILP/binary-read-write for 64 bit m/c
- 64 bit port - make lengths to be size_t for binary data transfer.
* Tue Apr 18 2006 - tsureshkumar@suse.de
- fixed comparision errors for --enable-apclient
* Wed Mar 29 2006 - rvinay@suse.de
- Added Hook point function call in Main mode also .
* Thu Mar 23 2006 - tsureshkumar@suse.de
- restart & stop the service when doing update/delete.
* Mon Mar 13 2006 - tsureshkumar@suse.de
- modify spec file "Provides: ipsec-tools" to make ipsec-tools
  dependant packages happy (openswan).  (bugzilla #157089).
- enable natt version 03 (required for NBM)
* Thu Mar 02 2006 - rvinay@suse.de
- Package resubmitted.
* Tue Feb 28 2006 - rvinay@suse.de
- racoon.conf filename handling
* Sat Feb 11 2006 - rvinay@suse.de
- Removed the .tar.gz file
* Sat Feb 11 2006 - rvinay@suse.de
- In admin.c , assigned new racoon.conf to the lcconf object and sent SIGHUP to itself
* Thu Feb 02 2006 - tsureshkumar@suse.de
- use same dh_group in racoon.conf.turnpike for all proposals
* Wed Feb 01 2006 - tsureshkumar2@suse.de
- install racoon.conf.turnpike in /etc/racoon/racoon.conf & samples
- added racoon.conf.turnpike
- applied patches from ipsec-tools package
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - tsureshkumar@novell.com
- add conflicts with ipsec-tools for libraries.
* Tue Jan 17 2006 - tsureshkumar@novell.com
-keep away from libreadline. comments from haripriya
* Mon Jan 16 2006 - spreggna@novell.com
- Remvoed all the warnings
- Fixed the openssl dir selection for X86_64 machine
- Fixed the return type for signal_handler for s390-ibm-linux machine
* Mon Jan 16 2006 - tsuershkumar@novell.com
- added lib64 directory for openssl. This is for 64 bit machines.
* Fri Jan 13 2006 - tsureshkumar@novell.com
- removed rm -rf $BUILD_ROOT
* Thu Jan 12 2006 - spreggna@novell.com
- upgraded to 0.6.3.
* Tue Jan 10 2006 - spreggna@novell.com
- static linking of libcrypto
* Thu Dec 22 2005 - tsureshkumar@novell.com
- merged with other patches
* Tue Dec 13 2005 - spreggna@novell.com
  * ipsec-tools.spec.in: disable installing racoon.conf as
  there is a hard fix in turnpike.
* Mon Dec 12 2005 - tsureshkumar@novell.com
- setkey.conf.sample: added. sample setkey.conf.
- ipsec-tools.spec.in (make): add turnpike directory. enable admin port.
  copy setkey.conf.sample to be included into build.
- merged the patches to enable plugins with ipsec-tools
- cloned from ipsec-tools
